.navbar {
  display: flex;
  align-items: center;
  border-bottom: 0.1rem solid #f4f4f4;
  padding: 0;

  .logo {
    width: 15rem;
    margin-left: 4rem;
    cursor: pointer;

    &:focus {
      outline: none;
    }

    img {
      width: 100%;
    }
  }

  .search {
    position: relative;
    background-color: #f4f4f4;
    color: $color-navbar;
    border-radius: 0.4rem;
    height: 3.7rem;
    width: 50rem;
    margin-left: auto;

    @media screen and(max-width: 1024px) {
      width: 35rem;
    }

    i {
      position: absolute;
      left: 1rem;
      top: 50%;
      transform: translateY(-55%);
    }

    input {
      position: absolute;
      right: 0;
      width: 100%;
      border: none;
      background-color: transparent;
      top: 50%;
      transform: translateY(-50%);
      padding-left: 3.2rem;

      &:focus {
        outline: none;
      }

      &::placeholder {
        // font-weight: 600;
        color: $color-navbar;
        font-size: 1.6rem;
      }
    }
  }

  .links {
    display: flex;
    padding: 0 2rem 0 4rem;

    @media screen and(max-width: 1024px) {
      padding: 0 2rem 0 2rem;
    }
  }

  .link {
    padding: 0 2rem;
    font-weight: bold;
  }

  .link,
  .icon {
    cursor: pointer;
    color: $color-navbar;

    &:hover,
    &.active {
      color: #f36621;
    }

    &:focus {
      outline: none;
    }
  }

  .icons {
    padding: 1rem 2rem;
    border-left: 0.1rem solid #e5e5e5;
    display: flex;
    align-items: center;

    .icon {
      position: relative;
      margin: 0 2rem;

      i {
        font-size: 2rem;
      }
    }

    .profile-shortcut {
      position: relative;
      width: 3rem;
      height: 3rem;
      margin-left: 1rem;
      cursor: pointer;

      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 10rem;
      }

      &:focus {
        outline: none;
      }
    }
  }

  .dropdown {
    display: none;
    flex-direction: column;
    position: absolute;
    right: 0;
    top: calc(100% + 2.1rem);
    transform: translateX(2rem);
    border: 1px solid lighten($color-navbar, 10%);
    padding: 0.5rem 0;
    border-radius: 0.6rem;
    color: $color-primary;
    background-color: white;
    z-index: 10;

    &.notif .item {
      min-width: 40rem;

      .date {
        background-color: transparent;
        border: none;
        color: $color-orange;
        margin-left: 1rem;
        float: right;
      }
    }

    .see_all {
      min-width: 40rem;
      border-top: 1px solid #b8b8b8;
      color: $color-orange;
      text-align: center;
      padding: 0.5rem 0;

      &:hover {
        text-decoration: underline;
      }
    }

    .no_notif {
      min-width: 40rem;
      color: $color-orange;
      text-align: center;
      padding: 0.5rem 0;

      &:hover {
        text-decoration: none !important;
      }
    }

    &.active {
      display: flex;
    }

    &::before {
      content: '';
      position: absolute;
      right: 2rem;
      top: -1rem;
      width: 2rem;
      height: 2rem;
      border: 1px solid lighten($color-navbar, 10%);
      background-color: white;
      transform: rotate(-45deg);
      clip-path: polygon(0 0, 100% 0, 100% 100%, 50% 50%);
      // z-index: 1;
    }

    .item {
      padding: 0.5rem 6rem;

      &:focus {
        outline: none;
      }

      &:hover {
        cursor: pointer;
        // font-weight: bold;
        color: white;
        background-color: $color-navbar;
      }
    }
  }
}

.shortcut-button {
  background-color: $color-navbar;
  width: 4.5rem;
  height: 4.5rem;
  border: none;
  border-radius: 10rem;
  font-size: 4rem;
  padding: 0;
  color: white;
  position: fixed;
  right: 3rem;
  cursor: pointer;
  line-height: 0;
  box-shadow: 0 0.2rem 0.3rem 0rem rgba(0, 0, 0, 0.4);
  transition: 0.3s;
  z-index: 20;

  &:hover {
    background-color: $color-orange;
    transform: translateY(-0.3rem);
    box-shadow: 0 0.7rem 0.3rem 0rem rgba(0, 0, 0, 0.4);
  }

  &:focus {
    outline: none;
    background-color: $color-orange;
    transform: translateY(-0.15rem);
    box-shadow: 0 0.35rem 0.3rem 0rem rgba(0, 0, 0, 0.4);
  }

  &.create {
    bottom: 10rem;
    padding-left: 0.2rem;
  }

  &.info {
    bottom: 3.5rem;
    font-size: 3rem;
    font-weight: bolder;
    line-height: 1.4;
  }
}
